> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Shield SVG > A simple method, requires no authentication, that returns the shield svg(badge) to add in your website. It must have `API_Enable_Shields` enabled. ### Changelog | Version | Description | | ---------------- | ------------| |0.55.0 | Added | ## OpenAPI ````json GET /api/v1/shield.svg { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Miscellaneous" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Commands" }, { "name": "Email Inbox" }, { "name": "Licenses" }, { "name": "Mailer" }, { "name": "Calendar Events" }, { "name": "WhatsApp" }, { "name": "Rasa App" }, { "name": "Jitsi App" } ], "paths": { "/api/v1/shield.svg": { "get": { "summary": "Shield SVG", "description": "A simple method, requires no authentication, that returns the shield svg(badge) to add in your website. It must have `API_Enable_Shields` enabled.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|0.55.0 | Added |", "operationId": "get-api-v1-shield.svg", "parameters": [ { "name": "type", "in": "query", "description": "Can either be `online`, `user`, `channel`", "schema": { "type": "string" }, "example": "online" }, { "name": "icon", "in": "query", "schema": { "type": "string" }, "example": "false" }, { "name": "channel", "in": "query", "description": "Name of the channel", "required": true, "schema": { "type": "string" }, "example": "general" }, { "name": "name", "in": "query", "description": "Name to show", "required": true, "schema": { "type": "string" }, "example": "Rocket.Chat" } ], "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "type": "object" }, "examples": { "Example": { "value": " Rocket Rocket JOIN CHAT JOIN CHAT " } } } }, "headers": { "Content-Type": { "schema": { "type": "string", "example": "image/svg+xml;charset=utf-8" }, "description": "image/svg+xml;charset=utf-8" } } } } } } } } ````